import request from '@/utils/request'

// 查询企微任务看板列表
export function listQwWorkTask(query) {
  return request({
    url: '/qw/QwWorkTask/list',
    method: 'get',
    params: query
  })
}

// 查询企微任务看板详细
export function getQwWorkTask(id) {
  return request({
    url: '/qw/QwWorkTask/' + id,
    method: 'get'
  })
}

// 新增企微任务看板
export function addQwWorkTask(data) {
  return request({
    url: '/qw/QwWorkTask',
    method: 'post',
    data: data
  })
}

// 修改企微任务看板
export function updateQwWorkTask(data) {
  return request({
    url: '/qw/QwWorkTask',
    method: 'put',
    data: data
  })
}

// 删除企微任务看板
export function delQwWorkTask(id) {
  return request({
    url: '/qw/QwWorkTask/' + id,
    method: 'delete'
  })
}

// 导出企微任务看板
export function exportQwWorkTask(query) {
  return request({
    url: '/qw/QwWorkTask/export',
    method: 'get',
    params: query
  })
}